Activate order and process payment

Activates the order and processes the initial payment using the provided Stripe confirmation token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

orderIdstringRequired

The order ID (can be internal ID or display ID)

Request

This endpoint expects an object.
confirmationTokenstringRequired
Stripe confirmation token for the payment method
returnUrlstringRequired
URL to redirect to after payment processing

Response

Order activated and payment processed successfully
idstringOptional
namestringOptional
descriptionstringOptional
customerIdstringOptional
organizationIdstringOptional
startDatestringOptional
endDatestringOptional
totalAmountdoubleOptional
estimatedTaxdoubleOptional
billedAmountNoTaxdoubleOptional
billedTaxdoubleOptional
totalBilledAmountdoubleOptional
pendingBillingAmountdoubleOptional
creationStateenumOptional
orderLineslist of objectsOptional
customerobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error